<div class="align-items-stretch d-flex w-100 ">
    <app-side-bar></app-side-bar>
    <div class="main min-vh-100">

        <app-nav-bar [Navbar]="Roles"></app-nav-bar>

        <main class="content px-3 py-2 mt-3">
            <div class="container-fluid">
                <!-- Tu contenido principal aquí -->

                <div class="formulario-container">
                    <form [formGroup]="form">
                        <div class="formulario">
                            <h2>Formulario de roles</h2>

                            <label for="Descripcion">Descripcion:</label>
                            <input type="text" id="Descripcion" name="Descripcion" formControlName="Descripcion">
                            <small appErrorInput [touched]="form.controls['Descripcion'].touched"
                                [dirty]="form.controls['Descripcion'].dirty"
                                [errors]="form.controls['Descripcion'].errors" class="error-message"> </small>

                            <div class="button-container">
                                <button type="submit" (click)="add()">Enviar</button>
                                <button type="submit" class="cancel-button"
                                    (click)="redirigirAAddRoles()">Cancelar</button>
                            </div>
                        </div>
                    </form>
                </div>

            </div>

        </main>
    </div>
</div>